Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005658opensim[REGION] OpenSim Corepublic2011-08-26 22:442011-11-28 09:30
ReporterRobert Adams 
Assigned ToBlueWall 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0005658: Meshmerizer does not apply level of detail when creating prim meshes
DescriptionWhile a level-of-detail parameter is passed to Meshmerizer.CreateMesh(), the lod parameter is only used in the creation of sculpt meshes. Meshes that are created from prim descriptions do not reduce vertex count when lod is set lower.

The attached patch adds some lod vertex reduction for prim spheres and curvy hollows.

The existing defaults in ODE will cause physical meshed primitives to have lower vertex count.
TagsNo tags attached.
Git Revision or version numberd4d894c20f3a44783172f8e52385d871b03e1aef
Run ModeStandalone (1 Region)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Filespatch file icon 0002-Add-level-of-detail-specification-to-optionally-redu.patch [^] (5,057 bytes) 2011-08-26 22:44 [Show Content]

- Relationships

-  Notes
(0019775)
BlueWall (administrator)
2011-08-28 15:56

Applied patch. Thanks Robert!

- Issue History
Date Modified Username Field Change
2011-08-26 22:44 Robert Adams New Issue
2011-08-26 22:44 Robert Adams File Added: 0002-Add-level-of-detail-specification-to-optionally-redu.patch
2011-08-26 22:44 Robert Adams Git Revision => d4d894c20f3a44783172f8e52385d871b03e1aef
2011-08-26 22:44 Robert Adams Run Mode => Standalone (1 Region)
2011-08-26 22:44 Robert Adams Physics Engine => ODE
2011-08-26 22:44 Robert Adams Environment => .NET / Windows32
2011-08-26 22:44 Robert Adams Mono Version => None
2011-08-27 17:29 makopoppo Status new => patch included
2011-08-28 15:56 BlueWall Status patch included => resolved
2011-08-28 15:56 BlueWall Resolution open => fixed
2011-08-28 15:56 BlueWall Assigned To => BlueWall
2011-08-28 15:56 BlueWall Note Added: 0019775
2011-11-28 09:30 Robert Adams Status resolved => closed
2011-11-28 09:30 Robert Adams Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker